Page MenuHomePhabricator

Permission error on Special:MathStatus needs message
Closed, ResolvedPublic

Description

When a user try to open Special:MathStatus without sufficient authorization, MediaWiki shows the permission error page, but the message <action-purge> is missing.

Screenshot from enwiki:

Details

Related Gerrit Patches:
mediawiki/extensions/Math : masterAdd action-purge message to Math extension

Event Timeline

Beta16 created this task.Sep 25 2015, 8:54 AM
Beta16 raised the priority of this task from to Needs Triage.
Beta16 updated the task description. (Show Details)
Beta16 added a subscriber: Beta16.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 8:54 AM

Failing to purge if the purge right is not there doesn't seem right as purge right doesn't actually prevent from purging the cache - it only asks for a confirmation when the user doesn't have this right.

From https://github.com/wikimedia/mediawiki-extensions-Math/blob/master/SpecialMathStatus.php#L29-L30

// The effect of loading this page is comparable to purge a page.
// If desired a dedicated right e.g. "viewmathstatus" could be used instead.

That seems the right thing to do here.

This comment was removed by Physikerwelt.
Physikerwelt triaged this task as Medium priority.Oct 22 2015, 9:00 AM
Physikerwelt set Security to None.

That seems the right thing to do here.

@Glaisher: I think this is not super hard to implement. I just did not know how to initialize the new right with a reasonable default.
I will do the code review if a patch will be submitted;-)

I think i can work on this bug and @Glaisher will have to review it :)

I think i can work on this bug and @Glaisher will have to review it :)

Sure!

IoannisKydonis added a subscriber: IoannisKydonis.

I will do this.

Change 265916 had a related patch set uploaded (by IoannisKydonis):
Add action-purge message to Math extension

https://gerrit.wikimedia.org/r/265916

Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:33 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 2 2017, 1:33 PM
Pkra moved this task from Incoming to MediaWiki interaction on the Math board.Dec 10 2018, 8:39 PM

Change 265916 abandoned by Physikerwelt:
Add action-purge message to Math extension

Reason:
Gerrit cleanup. Please resubmit, if this patch is still relevant.

https://gerrit.wikimedia.org/r/265916

Ammarpad closed this task as Resolved.Mon, Nov 18, 8:24 AM
Ammarpad added a subscriber: Ammarpad.

Seems to have been fixed somewhen